% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tab_samplesfeatures.R
\name{hist_sample}
\alias{hist_sample}
\title{Plot a histogram of the number of a category}
\usage{
hist_sample(tbl, category = "type")
}
\arguments{
\item{tbl}{`tbl` as returned by `hist_sample_num`}

\item{category}{`character`, x-axis label of the plot}
}
\value{
`gg` object from `ggplot2`
}
\description{
`hist_sample` plots the number of a category (e.g. sample types)
as a histogram. It use the returned `tbl` from `hist_sample_num`.
}
\examples{
## create se
a <- matrix(1:100, nrow = 10, ncol = 10, 
            dimnames = list(1:10, paste("sample", 1:10)))
a[c(1, 5, 8), 1:5] <- NA
set.seed(1)
a <- a + rnorm(100)
cD <- data.frame(name = colnames(a), type = c(rep("1", 4), rep("2", 6)))
rD <- data.frame(spectra = rownames(a))
se <- SummarizedExperiment::SummarizedExperiment(assay = a, 
    rowData = rD, colData = cD)

tbl <- hist_sample_num(se, category = "type")
hist_sample(tbl)

}
