% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/tab_dimensionreduction.R
\name{plotPCAVarPvalue}
\alias{plotPCAVarPvalue}
\title{Plot p-values for the significance of principal components}
\usage{
plotPCAVarPvalue(var_x, var_perm)
}
\arguments{
\item{var_x}{`numeric`, measured variances}

\item{var_perm}{`matrix`, variances obtained by permutation}
}
\value{
`gg` object from `ggplot`
}
\description{
The function `plotPCAVarPvalue` plots the p-values of significances of 
principal components. Using the visual output, the optimal number of 
principal components can be selected.
}
\details{
Internal usage in `shinyQC`.
}
\examples{
x <- matrix(1:100, ncol = 10)
var_x <- explVar(x = x, params = list(center = TRUE, scale = TRUE), 
    type = "PCA")
var_perm <- permuteExplVar(x = x, n = 100, center = TRUE, scale = TRUE)
plotPCAVarPvalue(var_x = var_x, var_perm = var_perm)

}
\author{
Thomas Naake
}
